IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_sel_genealogia_asc]'))
DROP PROCEDURE [dbo].[a_sel_genealogia_asc]
GO
Create procedure [dbo].[a_sel_genealogia_asc]
	@p_int_id_raiz as int = 0
as
begin
	WITH genealogia(gid,gdocumento,gdocumento_numero,gprefijo,gid_documento,gtipo_documento) AS 
(
		SELECT id,documento,documento_numero,prefijo, id_documento,doc_subtipoDocumento_id_tipoDocumento 
		FROM dbo.view_doc_documento
		WHERE ID = @p_int_id_raiz 
		UNION ALL
		SELECT pariente.id, pariente.documento, pariente.documento_numero, pariente.prefijo,pariente.id_documento,pariente.doc_subtipoDocumento_id_tipoDocumento
		FROM dbo.view_doc_documento as pariente, genealogia
		WHERE genealogia.gid_documento = pariente.id and pariente.id > 0
)

SELECT gid,gdocumento,gdocumento_numero,gprefijo,gtipo_documento FROM genealogia
end